# Finding a brute force solution

When you work on a new coding interview question, you should start with finding a brute force solution. But how do you even do that?

When you work on a new coding interview question, you should start with finding a brute force solution. But how do you even do that?

Dynamic programming is hard enough when you know that you need to use it for a problem. But what if you don’t even know a coding interview question is a dynamic programming problem to begin with?

Dynamic programming coding interview questions don’t have to be hard. Using the FAST method gives you a structured way to get the right answer every time.

Coding Interview Question: Given a list of items, find the maximum value you can generate from the items. Click for the solution.

Coding Interview Question: Given a matrix, find the path from top left to bottom right with the greatest product. Click for the solution.

Coding Interview Question: Given a 2D array of 1s and 0s, find the largest square subarray of all 1s. Click for the solution.

Coding Interview Question: Given an integer n, write a function to compute the nth Fibonacci number. Click for the solution.

Coding Interview Question: Given two strings, write a function that returns the longest common substring. Click for the solution.

Coding Interview Question: Given an input amount of change x, find the minimum number of coins needed to make that amount of change. Click for the solution.